# Source Code Library

## Infinite Models
```@index
Pages   = ["guide/model.md"]
Modules = [InfiniteOpt]
```

## Infinite Sets
### Datatypes
```@index
Pages   = ["guide/sets.md"]
Modules = [InfiniteOpt]
Order   = [:type]
```

### Methods
```@index
Pages   = ["guide/sets.md"]
Modules = [InfiniteOpt, JuMP]
Order   = [:macro, :function]
```

## Infinite Parameters
### Datatypes
```@index
Pages   = ["guide/parameter.md"]
Modules = [InfiniteOpt]
Order   = [:type]
```

### Methods/Macros
```@index
Pages   = ["guide/parameter.md"]
Modules = [InfiniteOpt, JuMP]
Order   = [:macro, :function]
```

## Finite Parameters
### Methods/Macros
```@index
Pages   = ["guide/finite_parameter.md"]
Modules = [InfiniteOpt, JuMP]
Order   = [:macro, :function]
```

## Variables
### Datatypes
```@index
Pages   = ["guide/variable.md"]
Modules = [InfiniteOpt, InfiniteOpt.Collections]
Order   = [:type]
```

### Methods/Macros
```@index
Pages   = ["guide/variable.md"]
Modules = [InfiniteOpt, JuMP]
Order   = [:macro, :function]
```

## Measures
### Datatypes
```@index
Pages   = ["guide/measure.md"]
Modules = [InfiniteOpt]
Order   = [:type]
```

### Methods
```@index
Pages   = ["guide/measure.md"]
Modules = [InfiniteOpt, JuMP]
Order   = [:function]
```

## Constraints
### Datatypes
```@index
Pages   = ["guide/constraint.md"]
Modules = [InfiniteOpt]
Order   = [:type]
```

### Methods/Macros
```@index
Pages   = ["guide/constraint.md"]
Modules = [InfiniteOpt, JuMP]
Order   = [:macro, :function]
```

## TranscriptionOpt
### Datatypes
```@index
Pages   = ["guide/transcribe.md"]
Modules = [InfiniteOpt, InfiniteOpt.TranscriptionOpt]
Order   = [:type]
```

### Methods
```@index
Pages   = ["guide/transcribe.md"]
Modules = [InfiniteOpt, InfiniteOpt.TranscriptionOpt]
Order   = [:function]
```

## Optimization
### Methods
```@index
Pages   = ["guide/optimize.md"]
Modules = [InfiniteOpt, JuMP]
Order   = [:function]
```

## Result Queries
### Methods
```@index
Pages   = ["guide/result.md"]
Modules = [JuMP, InfiniteOpt, InfiniteOpt.TranscriptionOpt]
Order   = [:function]
```
